<!DOCTYPE html>
<html lang="pl-PL">
<%- include('../partials/_head.ejs') %>
<body>
  <style>
    #newButton {
        padding: 10px;
        width: 140px;
        background-color: transparent;
        color: #0984e3;
        border-radius: 25px;
        text-decoration: none;
        border: 1px solid #0984e3;
        transition: 0.2s ease-in-out;
    }
    #newButton:hover {
        background-color: #0984e3;
        color: azure;
    }
  </style>
<%- include('../partials/_header.ejs') %>
<main role="main" class="container mt-4">
  <h2>Lista zadań</h2>
  <% if (session && session.userId) { %>
    <div style="text-align: right; margin-bottom: 20px;">
      <a href="/tasks/new" class="btn btn-primary" id="newButton">Nowe zadanie</a>
    </div>
    <form action="/tasks/search" method="get">
      <div class="input-group mb-3">
        <input type="text" class="form-control" placeholder="Szukaj według użytkownika, tytułu, tagu, opisu i dat..." name="searchQuery">
        <button class="btn btn-outline-secondary" type="submit">Wyszukaj</button>
      </div>
    </form>
  <% } %>
  <div class="list-group">
    <% tasks.forEach(function(task) { %>
      <a href="/tasks/edit/<%= task._id %>" class="list-group-item list-group-item-action">
        <h5 class="mb-1"><%= task.title %></h5>
        <p class="mb-1">
          Priorytet: 
          <%= (function(priority) {
                switch(priority) {
                  case 'Low': return 'Niski';
                  case 'Medium': return 'Średni';
                  case 'High': return 'Wysoki';
                  default: return priority;
                }
              })(task.priority) %>
        </p>
        <small>Deadline: <%= task.endDate ? task.endDate.toLocaleString('pl-PL', { year: 'numeric', month: 'long', day: 'numeric' }) : 'Brak' %></small>
      </a>
    <% }); %>
  </div>
</main>
<script src="/js/searchTasks.js"></script>
</body>
<%- include('../partials/_footer.ejs') %>
</html>
